<template>
  <div class="basicInfo">
    <el-row :gutter="24">
      <el-col :span="24">
        <el-form-item prop="deptName" label="申报处室：">
          <span>{{state.formData.deptName}}</span>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form ref="formRef" :model="state.formData" :rules="state.rules" class="register-form" label-position="top">
      <el-row :gutter="30">
        <el-col :span="6">
          <el-form-item prop="projectName" label="项目名称">
            <el-input
                maxlength="100"
                show-word-limit
                v-model.trim="state.formData.projectName"
                size="large"
                placeholder="请输入项目名称"
            >
            </el-input>
          </el-form-item>
        </el-col>
        <el-col :span="6">
          <el-form-item prop="projectName" label="项目预计时间区间">
            <el-date-picker
                v-model="searchTime"
                type="daterange"
                @change="changeTime"
                size="large"
                range-separator="至"
                start-placeholder="开始日期"
                end-placeholder="结束日期"
                value-format="YYYY-MM-DD"
            />
          </el-form-item>
        </el-col>
        <el-col :span="6">
          <el-form-item prop="unit" label="被检查/对接单位">
            <el-input
                v-model.trim="state.formData.unit"
                size="large"
                placeholder="请输入被检查/对接单位"
            >
            </el-input>
          </el-form-item>
        </el-col>
        <el-col :span="6">
          <el-form-item prop="place" label="项目地点">
            <el-input
                v-model.trim="state.formData.place"
                size="large"
                placeholder="请输入项目地点"
            >
            </el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row :gutter="24">
        <el-col :span="6">
          <el-form-item prop="people" label="处室带队人员">
            <el-input
                v-model.trim="state.formData.projectName"
                size="large"
                placeholder="请输入处室带队人员"
            >
            </el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row :gutter="24">
        <el-col :span="24">
          <el-form-item prop="description" label="概况描述">
            <el-input
                type="textarea"
                :rows="6"
                v-model.trim="state.formData.description"
                size="large"
                placeholder="请输入概况描述"
            >
            </el-input>
          </el-form-item>
        </el-col>
      </el-row>
    </el-form>
  </div>
</template>

<script setup>
import {reactive, ref} from "vue";

const emit = defineEmits(["getNextStatus"]);
const state = reactive({
  formData: {
    deptName:'危险化学品监督管理处',
    projectName: '',
    startTime: '',
    endTime: '',
    unit: '',
    place: '',
    people: '',
    description: ''
  },
  rules: {

  }
})
const searchTime = ref([]);
const riskOpen = async (type,val) => {
  console.log("type",type,val)
  if(type === 'add'){
    state.formData.startTime = searchTime.value[0]
    state.formData.endTime = searchTime.value[1]
    //保存按钮
    //成功后自动到下一步 项目id
    emit('getNextStatus', 1);
    reset()

  }else if(type === 'clickEdit'){
    //变更按钮

  }else if(type === 'detail'){
    console.log("view111111111111111",type,val)
  }
}
const reset = () => {
  searchTime.value = [];
}
const changeTime=(value)=>{
  if(!value){
    state.formData.startTime = ""
    state.formData.endTime = ""
  }
}
defineExpose({
  riskOpen
});
</script>


<style scoped lang="scss">
.basicInfo{

}
</style>
